Subject: bug#14000: 24.3.50; electric-pair-post-self-insert-function does not handle nested parentheses

From: Stefan Monnier <[email-masked]>
Date: Mon, 25 Mar 2013 22:41:36 -0400

> In electric-pair-mode, I type "(("
> I get "(()"
> I should get "(())"
> Fix below.

Actually, it's not a bug but a feature.  There's no way to know for sure
when pairing is desired and when it's not, and as an electric-pair user
I prefer electric-pair to err on the conservative side.

This said, it would be nice to also accommodate users with different
usage patterns.  If you look at the many other pairing packages, they
show a whole bunch of slightly different behaviors, it would be nice to
try and see how we can "merge" them.

        Stefan